Bug 17925 - Disable debugging in reports/bor_issues_top.pl
Summary: Disable debugging in reports/bor_issues_top.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-17 15:49 UTC by Marcel de Rooy
Modified: 2017-12-07 22:20 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17925: Disable debugging in reports/bor_issues_top.pl (1.89 KB, patch)
2017-01-17 15:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17925: Disable debugging in reports/bor_issues_top.pl (1.96 KB, patch)
2017-01-19 08:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17925: Disable debugging in reports/bor_issues_top.pl (2.00 KB, patch)
2017-05-10 04:46 UTC, Mason James
Details | Diff | Splinter Review
Bug 17925: Disable debugging in reports/bor_issues_top.pl (2.04 KB, patch)
2017-05-10 12:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-01-17 15:49:23 UTC

    
Comment 1 Marcel de Rooy 2017-01-17 15:57:35 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2017-01-19 01:10:40 UTC
Eyeballs well.
Comment 3 Marcel de Rooy 2017-01-19 08:13:34 UTC
Created attachment 59208 [details] [review]
Bug 17925: Disable debugging in reports/bor_issues_top.pl

Remove setting $debug to 1. This prevents creation of file
tmp/bor_issues_top.debug.log.
Enable warnings pragma.
Resolve a uninitialized warning on $sep like:
Use of uninitialized value $CGI::Compile::ROOT::usr_share_koha_masterclone_reports_bor_issues_top_2epl::sep in string eq at /usr/share/koha/masterclone/reports/bor_issues_top.pl line 66.

Test plan:
Restart Plack (as you always do when testing).
Remove file /tmp/bor_issues_top.debug.log.
Open Reports/Patrons with the most checkouts.
Check if the file in /tmp has not been created again.
Check the log for warnings after you restarted Plack.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marc Véron 2017-05-02 03:48:32 UTC
Something weird while testing, not related to this bug but I write it down for the records:

The column 'Patron' contains values like
surname,[tab]first name
e.g.
Meier,	Hans

That will break any csv import using tab or , as separator
Comment 5 Mason James 2017-05-10 04:46:38 UTC
Created attachment 63316 [details] [review]
Bug 17925: Disable debugging in reports/bor_issues_top.pl

Remove setting $debug to 1. This prevents creation of file
tmp/bor_issues_top.debug.log.
Enable warnings pragma.
Resolve a uninitialized warning on $sep like:
Use of uninitialized value $CGI::Compile::ROOT::usr_share_koha_masterclone_reports_bor_issues_top_2epl::sep in string eq at /usr/share/koha/masterclone/reports/bor_issues_top.pl line 66.

Test plan:
Restart Plack (as you always do when testing).
Remove file /tmp/bor_issues_top.debug.log.
Open Reports/Patrons with the most checkouts.
Check if the file in /tmp has not been created again.
Check the log for warnings after you restarted Plack.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 6 Mason James 2017-05-10 04:47:28 UTC
seems to work as expected, thanks Marcel!
Comment 7 Jonathan Druart 2017-05-10 12:14:17 UTC
Created attachment 63337 [details] [review]
Bug 17925: Disable debugging in reports/bor_issues_top.pl

Remove setting $debug to 1. This prevents creation of file
tmp/bor_issues_top.debug.log.
Enable warnings pragma.
Resolve a uninitialized warning on $sep like:
Use of uninitialized value $CGI::Compile::ROOT::usr_share_koha_masterclone_reports_bor_issues_top_2epl::sep in string eq at /usr/share/koha/masterclone/reports/bor_issues_top.pl line 66.

Test plan:
Restart Plack (as you always do when testing).
Remove file /tmp/bor_issues_top.debug.log.
Open Reports/Patrons with the most checkouts.
Check if the file in /tmp has not been created again.
Check the log for warnings after you restarted Plack.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Mason James <mtj@kohaaloha.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2017-05-12 13:09:27 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 9 Katrin Fischer 2017-05-14 10:17:03 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 10 Mason James 2017-05-24 02:39:57 UTC
Pushed to 16.05.x, for 16.05.13 release